using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

using Foo.DataAccessLayer;
using DataAccessLayer.TestData;

namespace Foo.DataAccessLayer
{
    [TestFixture]
    public class nUnitTests
    {

        [SetUp]
        public void Setup()
        {
        }

        [TearDown]
        public void TearDown()
        {
        }

        [Test]
        public void RecreateDatabaseAndLoadWithDefaultTestData()
        {
            // First Delete the DB, if it exists
            DB.DeleteDefaultDB();

            // Now Fill the DB with the Test Data
            TestData.FillDBWithTestData();            
        }
    }
}
